GetNotifyCodeConfiguration
Retrieves a notify code configuration.
Request Syntax
GET /v1/notify-code-configurations/notifyCodeConfigurationId+ HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- notifyCodeConfigurationId
-
The unique identifier of the notify code configuration. You can specify either the bare ID or the full Amazon Resource Name (ARN).
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
[A-Za-z0-9_:/-]+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"notifyCodeConfiguration": {
"channelParameters": {
"notify": {
"notifyTemplateId": "string",
"voiceId": "string"
},
"text": {
"destinationCountryParameters": {
"string" : "string"
},
"inlineTemplateBody": "string"
},
"voice": {
"inlineTemplateBody": "string",
"languageCode": "string",
"voiceId": "string",
"voiceMessageBodyTextType": "string"
},
"whatsApp": {
"languageCode": "string",
"whatsAppTemplateName": "string"
}
},
"codeConfigurationParameters": {
"codeLength": number,
"codeType": "string",
"maxAttempts": number,
"validityPeriodMinutes": number
},
"createdAt": number,
"deletionProtectionEnabled": boolean,
"notifyCodeConfigurationArn": "string",
"notifyCodeConfigurationId": "string",
"notifyCodeConfigurationName": "string",
"updatedAt": number
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- notifyCodeConfiguration
-
The notify code configuration resource.
Type: NotifyCodeConfiguration object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
An unexpected error occurred during the processing of the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The request references a resource that does not exist. Verify that the resource identifier is correct and try your request again.
- resourceId
-
The identifier of the resource that could not be found.
- resourceType
-
The type of the resource that could not be found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied because it exceeded the allowed request rate.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service. Check your request parameters and retry the request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: